# You can override the included template(s) by including variable overrides
# SAST customization: https://docs.gitlab.com/ee/user/application_security/sast/#customizing-the-sast-settings
# Secret Detection customization: https://docs.gitlab.com/ee/user/application_security/secret_detection/#customizing-settings
# Dependency Scanning customization: https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#customizing-the-dependency-scanning-settings
# Note that environment variables can be set in several places
# See https://docs.gitlab.com/ee/ci/variables/#cicd-variable-precedence
stages:
- build
- publish

build_phase:
  stage: build
  image: adoptopenjdk/maven-openjdk11:latest
  script:
    - java LocalDateTimeExample.java
    - javac LocalDateTimeExample.java
    - jar cf currenttime.jar LocalDateTimeExample.class
    #- 'curl --header "PRIVATE-TOKEN: $like" --upload-file LocalDateTimeExample.java "https://gitlab.com/klevi.molla/print-current-time/packages/test/LocalDateTimeExample.java"'
    #- mvn deploy -s settings.xml
publish_phase:
  stage: publish
  image: curlimages/curl:latest
  script: 
    #- 'curl --header "JOB-TOKEN: $CI_JOB_TOKEN" --upload-file LocalDateTimeExample.class "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/test/LocalDateTimeExample.class"'
    - 'curl -X PUT "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/test/${file-name}.jar" -H 'Private-Token: $like' --upload-file currenttime.jar'

